<?php
/**
 * Additional Information tab
 *
 * Author: PixFort
 *
 * pixfort version
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author        WooThemes
 * @package       WooCommerce/Templates
 * @version       3.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $product;

$heading = esc_html( apply_filters( 'woocommerce_product_additional_information_heading', esc_attr__( 'Additional information', 'essentials' ) ) );

?>

<?php if ( $heading ) : ?>
	<h3 class="mb-2 text-gray-7"><strong><?php echo esc_html( $heading ); ?></strong></h3>
<?php endif; ?>

<?php do_action( 'woocommerce_product_additional_information', $product ); ?>
